Retrieve an assignment
Returns a single assignment record by its internal ID.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/assignments/{id}
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-assignments.read
URL parameters
| Parameter | Description |
|---|---|
{id} |
The internal ID of the assignment. |
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the assignment. |
person.id |
integer | Yes | Yes | Internal ID of the person who the assignment is for. |
from |
string | Yes | Yes | Start date of the assignment (YYYY-MM-DD). |
until |
string | No | Yes | End date of the assignment (YYYY-MM-DD). |
startTimeInMinutes |
integer | No | Yes | Start time in minutes since midnight. |
endTimeInMinutes |
integer | No | Yes | End time in minutes since midnight. |
breakDurationInMinutes |
integer | No | Yes | Duration of the break in minutes. |
comments |
string | No | Yes | Comments associated with the assignment. |
activityLevels.level |
integer | Yes | Yes | A list of levels in the activity structure of the registered activity definition. |
activityLevels.activityDefinition.id |
string | Yes | Yes | Unique identifier for the activity definition registered. |
isRejected |
boolean | — | Read-only | Whether the assignment has been rejected. |
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
activity-definitions |
@data-entry-code, @external-reference |
Supported |
Caution
There are some restrictions on the characters allowed in URL requests. See the fetching resources page for more information.
Error responses
| Status | Condition |
|---|---|
401 |
Missing or invalid access token, or insufficient scope |
404 |
Assignment with the given ID does not exist |
Examples
Retrieving an assignment by internal ID
Example with internal ID 757085:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/assignments/757085
With external reference for people
Example with internal ID 757085 and external reference for people:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/assignments/757085?externalReferences=(people,@employee-number)
With multiple external references
Example with internal ID 757085 and external references for people and activity definitions:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/assignments/757085?externalReferences=(people,@employee-number)(activity-definitions,@data-entry-code)